Debian Bug report logs - #298882
dialog: support for large (>2GB) files (in --fselect widget)

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Jerome Petazzoni <jp@enix.org>

Date: Thu, 10 Mar 2005 14:18:08 UTC

Severity: normal

Found in version 1.0-20040920-1

Fixed in version dialog/1.0-20050911-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#298882; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Jerome Petazzoni <jp@enix.org>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jerome Petazzoni <jp@enix.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: support for large (>2GB) files (in --fselect widget)
Date: Thu, 10 Mar 2005 15:11:09 +0100
Package: dialog
Version: 1.0-20040920-1
Severity: normal


dialog doesn't seem to support 64-bits file offsets detection and compilation,
so when running "dialog --fselect", it will omit large files (i.e., file larger
than 2 GB, which cause stat() to fail). Compiling with -D_FILE_OFFSET_BITS=64
seems to be enough to make it work correctly (but I don't know if it's the
"canonical" way to enable large file support, nor how to fix the configure
script so it won't break on platforms which don't support it).

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-686
Locale: LANG=C, LC_CTYPE=fr_FR.UTF-8 (charmap=ISO-8859-1) (ignored: LC_ALL set to en_US)

Versions of packages dialog depends on:
ii  debianutils                 2.8.4        Miscellaneous utilities specific t
ii  libc6                       2.3.2.ds1-18 GNU C Library: Shared libraries an
ii  libncursesw5                5.4-4        Shared libraries for terminal hand

-- no debconf information



Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 298882-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@his.com>
Cc: 298882-forwarded@bugs.debian.org, Jerome Petazzoni <jp@enix.org>
Subject: Bug#298882: dialog: support for large (>2GB) files (in --fselect widget) (fwd)
Date: Thu, 28 Apr 2005 20:26:37 +0200 (CEST)
Received this from the Debian bug system.

There is at least one package (procmail) where I have added Large File Support
"by hand" (i.e. in debian/rules), so I could fix this in the Debian package
without altering the source code at all, but I would much prefer, of course,
that the configure script cares about this (as diffutils does, for example).

---------- Forwarded message ----------
From: Jerome Petazzoni <jp@enix.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Thu, 10 Mar 2005 15:11:09 +0100
Subject: Bug#298882: dialog: support for large (>2GB) files (in --fselect widget)

Package: dialog
Version: 1.0-20040920-1
Severity: normal


dialog doesn't seem to support 64-bits file offsets detection and compilation,
so when running "dialog --fselect", it will omit large files (i.e., file larger
than 2 GB, which cause stat() to fail). Compiling with -D_FILE_OFFSET_BITS=64
seems to be enough to make it work correctly (but I don't know if it's the
"canonical" way to enable large file support, nor how to fix the configure
script so it won't break on platforms which don't support it).

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-686
Locale: LANG=C, LC_CTYPE=fr_FR.UTF-8 (charmap=ISO-8859-1) (ignored: LC_ALL set to en_US)

Versions of packages dialog depends on:
ii  debianutils                 2.8.4        Miscellaneous utilities specific t
ii  libc6                       2.3.2.ds1-18 GNU C Library: Shared libraries an
ii  libncursesw5                5.4-4        Shared libraries for terminal hand

-- no debconf information



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jerome Petazzoni <jp@enix.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #13 received at 298882-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 298882-close@bugs.debian.org
Subject: Bug#298882: fixed in dialog 1.0-20050911-1
Date: Mon, 12 Sep 2005 07:02:05 -0700
Source: dialog
Source-Version: 1.0-20050911-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.0-20050911-1.diff.gz
  to pool/main/d/dialog/dialog_1.0-20050911-1.diff.gz
dialog_1.0-20050911-1.dsc
  to pool/main/d/dialog/dialog_1.0-20050911-1.dsc
dialog_1.0-20050911-1_powerpc.deb
  to pool/main/d/dialog/dialog_1.0-20050911-1_powerpc.deb
dialog_1.0-20050911.orig.tar.gz
  to pool/main/d/dialog/dialog_1.0-20050911.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 298882@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 12 Sep 2005 15:18:50 +0200
Source: dialog
Binary: dialog
Architecture: source powerpc
Version: 1.0-20050911-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 298882 305705 312622 326918
Changes: 
 dialog (1.0-20050911-1) unstable; urgency=low
 .
   * New upstream release.
   - Added Large File Support (Closes: #298882).
   - The gauge widget now handles SIGWINCH (Closes: #305705).
   - Updated translations (Closes: #312622).
   - Fixed segfault problem when using multiple widgets (Closes: #326918).
Files: 
 00f5ca20f7b0633b3fae352f54903ae0 593 misc optional dialog_1.0-20050911-1.dsc
 fb7e646552bf870e5fe17d60c1fac380 307686 misc optional dialog_1.0-20050911.orig.tar.gz
 d0a099837b996f6fa3c49c4cce62e747 7896 misc optional dialog_1.0-20050911-1.diff.gz
 f143391490c64d1a8b6206d9e2f58113 207362 misc optional dialog_1.0-20050911-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDJYWUd9Uuvj7yPNYRAppTAJ91PH8H5hvTIth59JzcJ38uY/kpVwCbBQhZ
Y8hDvCFHeBxI7qkgHgZ8a+E=
=0kmK
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 18:51:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:23:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.